post
https://api.supportbench.com/calendar/events
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Return a user count for items related to a user.
Options to query for events
| Name | Usage | Default | Description |
|---|---|---|---|
| start_date | "01/31/2016 00:00" | -1 day from now | The start date of events to return. |
| end_date | "02/15/2016 00:00" | +6 months from now | The end date of events to return. |
| category_ids | 12,15,19 | The event category id's. | |
| user_ids | 1,2 | The user id's of the user calendars you want to return. | |
| team_ids | 45,78 | The team id's of the team calendars you want to return. | |
| calendar_ids | 23,14,78,89 | The calendar id's of the calendars you want to return. | |
| case_id | c-123456 | The events of a given case id. |
Returning calendar event object
| Name | Description |
|---|---|
| id | The unique id of the event. |
| subject | The subject / name of the event. |
| summary | The summary of the event. |
| user_id | The user id assigned to the event. |
| team_id | The team id assigned to the event. |
| calendar_id | The calendar id assigned to the event. |
| case_id | The case id assigned to the event. |
| category_id | The category id assigned to the event. |
| start | The UTC start date and time of the event. |
| start_unix | The UTC start date and time of the event as a UNIX time stamp. |
| starts_in | The readable time of when the event starts. i.e.
|
| end | The UTC end date and time of the event. |
| end_unix | The UTC end date and time of the event as a UNIX time stamp. |
| is_past | Return a Boolean of whether this event has already past or not. |
| duration | The duration of the event in minutes. |
| all_day | if this is this an all day event. |
| color | The hex color of the event if assigned. |
| created | The date this event was created. |
| created_unix | The date this event was created as a UNIX time stamp. |

